### Property

# Rsvg Handle:width

deprecated: 2.46. since: 2.0

#### Declaration

    property width: int [ read ]

#### Description [src]

Width, in pixels, of the rendered SVG after calling the size callback as specified by `rsvg_handle_set_size_callback()`.

Type: | `gint`
Available since: | 2.0
Deprecated since: | 2.46.
For historical reasons, this property is of integer type, which cannot give the exact size of SVG images that are not pixel-aligned. Moreover, reading each of the size properties causes the size of the SVG to be recomputed, so reading both the `width` and `height` properties will cause two such computations. Please use `rsvg_handle_get_intrinsic_dimensions()` instead.

Default value | 0

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no